# $Revision: 1.14 $, $Date: 2012/02/20 14:42:02 $
#
# Conditional build:
%bcond_without  static_libs	# don't build static libraries
#
Summary:	A C++ bindings for the GStreamer library
Summary(pl.UTF-8):	Wiązania C++ do biblioteki GStreamera
Name:		gstreamermm
Version:	0.10.10.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.10/%{name}-%{version}.tar.xz
# Source0-md5:	db083faf6be4efeb9bec8cd3b3f9d387
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.28.0
BuildRequires:	gstreamer-devel >= 0.10.35
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.35
# for not packaged examples only
#BuildRequires:	gtkmm3-devel >= 3.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml++-devel >= 2.14
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.28.0
Requires:	gstreamer >= 0.10.35
Requires:	gstreamer-plugins-base >= 0.10.35
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gstreamermm provides C++ bindings for the GStreamer streaming
multimedia library. With gstreamermm it is possible to develop
applications that work with multimedia in C++.

%description -l pl.UTF-8
gstreamermm dostarcza wiązania C++ dla biblioteki strumieniowej
GStreamer. Za pomocą gstreamermm jest możliwe tworzenie aplikacji
multimedialnych w C++.

%package devel
Summary:	gstreamermm header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gstreamermm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.28.0
Requires:	gstreamer-devel >= 0.10.35
Requires:	gstreamer-plugins-base-devel >= 0.10.35
Requires:	libxml++-devel >= 2.14

%description devel
Header files for gstreamermm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gstreamermm.

%package static
Summary:	gstreamermm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gstreamermm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gstreamermm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gstreamermm.

%package doc
Summary:	Reference documentation for gstreamermm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gstreamermm
Group:		Documentation
Requires:	devhelp

%description doc
Reference documentation for gstreamermm.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja gstreamermm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgstreamermm-0.10.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstreamermm-0.10.so.2
%attr(755,root,root) %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstreamermm-0.10.so
%attr(755,root,root) %{_libdir}/libgstreamermm_get_plugin_defs-0.10.so
%{_libdir}/libgstreamermm-0.10.la
%{_libdir}/libgstreamermm_get_plugin_defs-0.10.la
%{_libdir}/gstreamermm-0.10
%{_includedir}/gstreamermm-0.10
%{_pkgconfigdir}/gstreamermm-0.10.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgstreamermm-0.10.a
%{_libdir}/libgstreamermm_get_plugin_defs-0.10.a
%endif

%files doc
%defattr(644,root,root,755)
%{_docdir}/gstreamermm-0.10
%{_datadir}/devhelp/books/gstreamermm-0.10

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamermm.spec,v $
Revision 1.14  2012/02/20 14:42:02  megabajt
- updated to 0.10.10.1

Revision 1.13  2011/07/22 19:13:54  qboosh
- updated to 0.10.10

Revision 1.12  2011/05/11 15:14:18  qboosh
- unified subpackages order
- pl fix
- updated BRs, added -devel deps

Revision 1.11  2011/04/29 07:23:24  lisu
- updated to 0.10.9.1
- drop obsoleted patch

Revision 1.10  2011/04/15 09:00:07  lisu
- updated to 0.10.9

Revision 1.9  2011/03/28 12:44:47  lisu
- rel 2

Revision 1.8  2011/01/24 02:27:26  sparky
- BR: mm-common

Revision 1.7  2010/10/18 09:53:17  lisu
- 0.10.8

Revision 1.6  2010/10/13 17:38:54  lisu
- pl fixes for -static

Revision 1.5  2010/10/13 17:35:25  lisu
- BR: libtool

Revision 1.4  2010/10/13 17:33:19  lisu
- use autotools
- BR: gstreamer-plugins-base-devel

Revision 1.3  2010/10/12 12:51:36  lisu
- group changed to "Libraries"

Revision 1.2  2010/10/12 09:53:50  lisu
- LGPL v2+ license

Revision 1.1  2010/10/12 09:50:53  lisu
- initial revision
